<?php
#########################################
# Скрипт онлайн игры "Симс"_____________#
# Автор: -=FеST=-_______________________#
# ICQ : 345-22-23 ______________________#
# Все права принадлежат автору(-=FeST=-)#
#########################################
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
$set['title']='The Sims';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(!isset($user)){
echo 'Вы неавторизованы';
include_once '../sys/inc/tfoot.php';
exit;
}

include_once 'inc/start.php';

	if($sims_user['work_id']==0)
	echo "<div class='".$diz['msg']."'>Вы не устроены на работу!</div>";
	else
	{
		if(isset($_GET['no']))
		{
			mysql_query("UPDATE `sims_user` SET `work_time`='0' WHERE `id_u`='".$user_id."'");
			echo '<div class="'.$diz['post_1'].'">Вы досрочно ушли с работы и ничего не получили</div>';
		sims_ret($diz['ret'],'Назад','index.php');
		exit;
		
		}
		$arr = mysql_fetch_array(mysql_query("SELECT * FROM `sims_work` WHERE `id`='".$sims_user['work_id']."'"));
		if(isset($_GET['do']))
		{
		if($sims->protect()==false)
		echo 'Вы не в состоянии идти на работу. Ваши жизненные параметры не должны быть ниже 1 единиц.';
		else
		{
		mysql_query("UPDATE `sims_user` SET `work_time`='".(time()+$arr['time'])."' WHERE `id_u`='".$user_id."'");
			echo '<div class="'.$diz['post_1'].'"><img src="i/reload.png" /> <a style="font-weight:bold;color:#99CC00;text-decoration:underline" href="working.php?rand='.mt_rand().'"> Обновить</a><br/>
				Вы работаете '.$arr['name'].' (осталось '.sims_timer($sims_user['work_time']-time()).')</div>';
		sims_ret($diz['ret'],'Назад','index.php');
		exit;}
		}
			if($sims_user['work_time']==0)
			{	
			if($sims->protect()==false)
		echo 'Вы не в состоянии идти на работу. Ваши жизненные параметры не должны быть ниже 1 единиц.';
		else
		{
				echo "<div class='".$diz['post_1']."'><img src ='i/work.png' /> <a href='working.php?do'>Пойти на работу</a> (".$arr['name'].")</div>";
	}
			}
			else
			{
				if($sims_user['work_time']<time())
				{
				mysql_query("UPDATE `sims_user` SET `".$arr['skill']."`=`".$arr['skill']."`+".rand(1,7).", `money`=`money`+".($arr['zp']).", `work_time`='0' WHERE `id_u`='".$user_id."'");
				echo "<div class='".$diz['msg']."'>Ваш рабочий день закончен, вы получили зарплату в размере ".$arr['zp']." а также развили навык ".sims_translit2($arr['skill'])."</div>";
				
				
				}
				
			echo '<div class="'.$diz['post_1'].'"><img src="i/reload.png" /> <a style="font-weight:bold;color:#99CC00;text-decoration:underline" href="working.php?rand='.mt_rand().'"> Обновить</a><br/>
				Вы работаете '.$arr['name'].' (осталось '.sims_timer($sims_user['work_time']-time()).')<br/>
				&raquo; <a href="working.php?no">Закончить</a></div>';
			}
	}
	$sims->sims_life();
	$sims->sims_level();
sims_ret($diz['ret'],'Назад','index.php');
include_once '../sys/inc/tfoot.php';
?>
